org.openstreetmap.josm.plugins.streetside.cache

## Enum StreetsideCache.Type

- java.lang.Object
- - java.lang.Enum<StreetsideCache.Type>
  - - org.openstreetmap.josm.plugins.streetside.cache.StreetsideCache.Type

- All Implemented Interfaces:
    Serializable, Comparable<StreetsideCache.Type>
  Enclosing class:
    StreetsideCache

      public static enum StreetsideCache.Type
      extends Enum<StreetsideCache.Type>

  Types of images.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUBEMAP` cubemap faces
    `FULL_IMAGE` Full quality image
    `THUMBNAIL` Low quality image

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StreetsideCache.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StreetsideCache.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FULL_IMAGE

          public static final StreetsideCache.Type FULL_IMAGE

      Full quality image

    - #### THUMBNAIL

          public static final StreetsideCache.Type THUMBNAIL

      Low quality image

    - #### CUBEMAP

          public static final StreetsideCache.Type CUBEMAP

      cubemap faces

  - ### Method Detail

    - #### values

          public static StreetsideCache.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StreetsideCache.Type c : StreetsideCache.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StreetsideCache.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

JOSM Plugins